<template>
  <div class="blank-layout">
    <router-view></router-view>
  </div>
</template>

<script>
import start from '@/qiankun/index'
export default {
  mounted() {
    // 启动微前端
    if (!window.qiankunStarted) {
      window.qiankunStarted = true
      start({
        singular: false,
        excludeAssetFilter: (assetUrl) => {
          // 过滤baidu
          const wihiteWords = ['baidu']
          if (wihiteWords.includes(assetUrl)) {
            return true
          }
          return wihiteWords.some(w => {
            return assetUrl.includes(w)
          })
        }
      })
    }
  }
}
</script>

<style lang="scss" scoped>
</style>